NetBSD Problem Report #43060

From www@NetBSD.org  Thu Mar 25 14:35:59 2010
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [204.152.190.11])
	by www.NetBSD.org (Postfix) with ESMTP id 5123063B86C
	for <gnats-bugs@gnats.NetBSD.org>; Thu, 25 Mar 2010 14:35:59 +0000 (UTC)
Message-Id: <20100325143559.1CA7763B11D@www.NetBSD.org>
Date: Thu, 25 Mar 2010 14:35:59 +0000 (UTC)
From: adamplumb@gmail.com
Reply-To: adamplumb@gmail.com
To: gnats-bugs@NetBSD.org
Subject: The gnome-2.26 binary meta-pkg exists but is not included in pkg_summary.bz2
X-Send-Pr-Version: www-1.0

>Number:         43060
>Category:       pkg
>Synopsis:       The gnome-2.26 binary meta-pkg exists but is not included in pkg_summary.bz2
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Thu Mar 25 14:40:00 +0000 2010
>Last-Modified:  Fri Mar 26 00:20:02 +0000 2010
>Originator:     Adam Plumb
>Release:        5.99.24
>Organization:
>Environment:
>Description:
The gnome-2.26 binary meta-pkg exists here [1], yet it is not included in the pkg_summary.bz2 file here [2].  Is there a reason for the inconsistency?  Other binary meta-pkgs are included in the pkg_summary file.


[1] ftp://ftp.netbsd.org/pub/NetBSD/packages/current-packages/NetBSD/amd64/5.0/All/gnome-2.26.2nb1.tgz
[2] ftp://ftp.netbsd.org/pub/NetBSD/packages/current-packages/NetBSD/amd64/5.0/All/pkg_summary.bz2
>How-To-Repeat:

>Fix:

>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: bin-bug-people->pkg-bug-people
Responsible-Changed-By: reed@NetBSD.org
Responsible-Changed-When: Thu, 25 Mar 2010 16:34:48 +0000
Responsible-Changed-Why:
changed to pkg instead of bin


From: "Jeremy C. Reed" <reed@reedmedia.net>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: bin/43060: The gnome-2.26 binary meta-pkg exists but is not
 included in pkg_summary.bz2
Date: Thu, 25 Mar 2010 11:34:05 -0500 (CDT)

 I don't know why. But I do see several other packages excluded from the 
 pkg_summary.bz2:

 GraphicsMagick-1.3.7.tgz
 GraphicsMagick-1.3.8.tgz
 ImageMagick-6.5.7.2nb1.tgz
 Transmission-1.76.tgz
 ap13-php5-5.2.12nb1.tgz
 ap2-mono-2.4.2nb1.tgz
 ap2-php5-5.2.12nb1.tgz
 ap22-dnssd-0.5nb1.tgz
 ap22-mono-2.4.2nb1.tgz
 ap22-php5-5.2.12nb1.tgz
 apache-1.3.41.tgz
 apache-tomcat-6.0.20.tgz
 bind-9.4.3-P5.tgz
 bind-9.4.3pl3nb1.tgz
 bind-9.5.2pl1nb1.tgz
 bind-9.6.1pl2nb1.tgz
 chrony-1.23nb1.tgz
 curl-7.19.7.tgz
 desktop-gnome-0.3.tgz
 drupal-5.21.tgz
 drupal-6.15.tgz
 ejabberd-2.1.1.tgz
 empathy-2.26.2nb2.tgz
 esniper-2.21.0.tgz
 expat-2.0.1nb1.tgz
 fetchmail-6.3.11.tgz
 fetchmailconf-6.3.11.tgz
 firefox-3.5.6.tgz
 gnome-2.26.2nb1.tgz
 gnome-terminal-2.28.2.tgz
 gtk2+-2.18.5.tgz
 gzip-1.3.12nb2.tgz
 libdaemon-0.14.tgz
 libev-3.8.tgz
 libevent-1.4.12.tgz
 libtelepathy-0.3.3nb1.tgz
 mediawiki-1.15.1.tgz
 mod-cband-0.9.7.5.tgz
 mysql-client-5.0.88.tgz
 mysql-server-5.0.88.tgz
 netpbm-10.34nb3.tgz
 nspr-4.8.2.6.tgz
 openssl-0.9.8l.tgz
 p5-EV-3.8.tgz
 p5-PerlMagick-6.5.7.2nb1.tgz
 pdns-recursor-3.1.7.tgz
 php-5.2.12.tgz
 php4-curl-4.4.9nb2.tgz
 php4-dba-4.4.9nb1.tgz
 php4-exif-4.4.9nb1.tgz
 php4-ftp-4.4.9nb1.tgz
 php4-gd-4.4.9nb2.tgz
 php4-imap-4.4.9nb5.tgz
 php4-ldap-4.4.9nb5.tgz
 php4-pdflib-4.4.9.2.0.3nb1.tgz
 php4-pear-DB-1.7.6.tgz
 php4-pgsql-4.4.9nb1.tgz
 php4-zlib-4.4.9nb1.tgz
 php5-apc-5.2.12.3.1.2.tgz
 php5-bcmath-5.2.12.tgz
 php5-bz2-5.2.12.tgz
 php5-calendar-5.2.12.tgz
 php5-curl-5.2.12nb2.tgz
 php5-dba-5.2.12nb1.tgz
 php5-dbase-5.2.12.tgz
 php5-dbx-5.2.12.1.1.0.tgz
 php5-dom-5.2.12.tgz
 php5-eaccelerator-5.2.12.0.9.5.3.tgz
 php5-exif-5.2.12nb1.tgz
 php5-ftp-5.2.12nb1.tgz
 php5-gd-5.2.12nb2.tgz
 php5-gettext-5.2.12.tgz
 php5-gmp-5.2.12.tgz
 php5-iconv-5.2.12.tgz
 php5-imap-5.2.12nb5.tgz
 php5-json-5.2.12.1.2.1.tgz
 php5-ldap-5.2.12nb5.tgz
 php5-mbstring-5.2.12.tgz
 php5-mcrypt-5.2.12.tgz
 php5-memcache-5.2.12.2.1.0nb1.tgz
 php5-mhash-5.2.12.tgz
 php5-ming-5.2.12.tgz
 php5-mssql-5.2.12.tgz
 php5-mysql-5.2.12.tgz
 php5-mysqli-5.2.12.tgz
 php5-pcntl-5.2.12.tgz
 php5-pdflib-5.2.12.2.0.3nb1.tgz
 php5-pdo-5.2.12.tgz
 php5-pdo_dblib-5.2.12.tgz
 php5-pdo_mysql-5.2.12.tgz
 php5-pdo_pgsql-5.2.12.tgz
 php5-pdo_sqlite-5.2.12.tgz
 php5-pear-DB-1.7.6.tgz
 php5-perl-5.2.12.1.0.0.tgz
 php5-pgsql-5.2.12nb1.tgz
 php5-posix-5.2.12.tgz
 php5-pspell-5.2.12.tgz
 php5-shmop-5.2.12.tgz
 php5-snmp-5.2.12.tgz
 php5-soap-5.2.12.tgz
 php5-sockets-5.2.12.tgz
 php5-sqlite-5.2.12.1.0.3.tgz
 php5-suhosin-5.2.12.0.9.27.tgz
 php5-sysvsem-5.2.12.tgz
 php5-sysvshm-5.2.12.tgz
 php5-wddx-5.2.12.tgz
 php5-xmlrpc-5.2.12.tgz
 php5-xsl-5.2.12.tgz
 php5-yaz-5.2.12.1.0.14nb2.tgz
 php5-zip-5.2.12.1.8.10.tgz
 php5-zlib-5.2.12nb1.tgz
 phpmyadmin-2.11.9.6.tgz
 puppet-0.24.8.tgz
 py25-xcbgen-1.6.tgz
 py26-xcbgen-1.6.tgz
 python25-2.5.4nb3.tgz
 python26-2.6.4nb2.tgz
 rubygems-1.3.5nb1.tgz
 seamonkey-2.0.1.tgz
 squid-2.7.7nb1.tgz
 squid-2.7.7nb2.tgz
 squid-3.0.21.tgz
 squid-3.0.23.tgz
 squid-3.1.0.15.tgz
 sudo-1.7.2p2.tgz
 telepathy-gabble-0.9.2.tgz
 telepathy-glib-0.9.2.tgz
 telepathy-idle-0.1.5.tgz
 telepathy-mission-control-4.67nb2.tgz
 thunderbird-3.0nb1.tgz
 tor-0.2.1.21.tgz
 tor-0.2.1.22.tgz
 typo3-4.3.1.tgz
 wireshark-1.2.5.tgz
 wxGTK-2.6.3nb4.tgz
 wxGTK28-2.8.10nb3.tgz
 x11-links-0.45.5.0.1.tgz
 xulrunner-1.9.1.6.tgz

 Some of these are listed in pkg-vulnerabilities (but not all).

 The pkg_summary.bz2 also lists several packages that aren't actually 
 available for download in same place:

 RealPlayerGold-10.0.9.809.20070726.tgz
 acroread-4.05nb5.tgz
 acroread-chsfont-4.0nb1.tgz
 acroread-chtfont-4.0nb1.tgz
 acroread-font-share-4.0nb2.tgz
 acroread-korfont-4.0nb1.tgz
 acroread5-5.10nb4.tgz
 acroread5-chsfont-5.0nb1.tgz
 acroread5-chtfont-5.0nb1.tgz
 acroread5-font-share-5.0nb1.tgz
 acroread5-jpnfont-5.0nb1.tgz
 acroread5-korfont-5.0nb1.tgz
 acroread7-7.0.9nb2.tgz
 acroread7-chsfont-7.0nb1.tgz
 acroread7-chtfont-7.0nb1.tgz
 acroread7-font-share-7.0nb3.tgz
 acroread7-jpnfont-7.0nb1.tgz
 acroread7-korfont-7.0nb1.tgz
 acroread8-8.1.7nb1.tgz
 adobe-flash-plugin-10.0.0.525.tgz
 amavis-perl-0.1nb7.tgz
 amiwm-0.20p48nb3.tgz
 atari800-2.1.0.tgz
 avidemux-2.4.4nb2.tgz
 bcmfw-1.0.tgz
 bicom-1.01nb2.tgz
 blokus-1.1.tgz
 cardboard-schedule-1.13nb1.tgz
 cdb-0.75.tgz
 checkpassword-0.90.tgz
 cuecat-0.2.1nb1.tgz
 cyberbase-ttf-2.0nb6.tgz
 cyberbit-ttf-2.0nb6.tgz
 dungeon-3.2b.tgz
 dvidvi-1.0.tgz
 dx-4.4.4nb4.tgz
 dxsamples-4.4.0.tgz
 eagle-4.16r2.tgz
 eawpatches-12nb3.tgz
 emiclock-2.0.2nb4.tgz
 estic-1.61nb1.tgz
 faac-1.28.tgz
 faad2-2.7nb1.tgz
 firefox-bin-acroread-1.0nb2.tgz
 firefox-bin-realplayer-1.0nb4.tgz
 fmsx-3.5.1.tgz
 gate88-20050319.tgz
 gated-3.5.11nb3.tgz
 gmencoder-0.1.0nb25.tgz
 gmplayer-1.0rc20091017.tgz
 gnuradio-radio-astronomy-3.2nb2.tgz
 gst-plugins0.10-dts-0.10.17.tgz
 gstreamer0.10-plugins-1.0nb2.tgz
 guspatches-1.0nb3.tgz
 handbrake-0.9.3nb1.tgz
 hdf-4.2r4.tgz
 hptools-3.0.8.tgz
 imm-3.6a1nb1.tgz
 ipw-firmware-1.0.tgz
 ivtools-1.2.4nb4.tgz
 iwi-firmware-2.3nb2.tgz
 iwi-firmware3-3.0.tgz
 lha-114.9nb4.tgz
 libdca-0.0.5.tgz
 libidea-0.8.2b.tgz
 mencoder-1.0rc20091017.tgz
 mess822-0.58nb2.tgz
 mplayer-1.0rc20091017.tgz
 mplayer-plugin-3.55.tgz
 mplayer-share-1.0rc20091017.tgz
 ms-ttf-20020306nb5.tgz
 mush-7.2.6.b4.pl1nb1.tgz
 nntpclnt-1.6.1nb6.tgz
 pcps-8.40nb1.tgz
 pstoedit-3.45nb4.tgz
 publicfile-0.52.tgz
 pvs-3.2nb2.tgz
 py24-ephem-3.7b.tgz
 py25-ephem-3.7b.tgz
 py25-musique-0.5nb6.tgz
 py26-ephem-3.7b.tgz
 qmail-1.03nb13.tgz
 qmail-qfilter-2.1nb1.tgz
 qmailanalog-0.70.tgz
 quakedata-1.0nb1.tgz
 qvplay-0.94.tgz
 ra-rtsp-proxy-1.0.0.0nb2.tgz
 serialmail-0.75nb1.tgz
 service-config-0.51.tgz
 simian-2.1.tgz
 simian-docs-2.1.tgz
 skype-1.4.0.118nb1.tgz
 socks5-1.0.2nb6.tgz
 softmaker-office-demo-2006.tgz
 spim-7.3.tgz
 ssh2-3.2.9.1nb7.tgz
 szip-2.1nb1.tgz
 teamspeak-client-2.0.32.60.tgz
 teamspeak-server-2.0.24.01.tgz
 tinyproxy-1.6.2nb5.tgz
 tkicb-2.1.4nb3.tgz
 tracker-5.3nb1.tgz
 trn-4.76nb3.tgz
 tscp-1.81nb1.tgz
 ucspi-ssl-0.70nb2.tgz
 unace-1.2.2nb2.tgz
 unace-bin-2.50.tgz
 uvscan-5.10nb2.tgz
 vice-1.22nb7.tgz
 waste-1.0.tgz
 xfrisk-1.2nb5.tgz
 xmill-0.9.1nb3.tgz
 xrick-021212nb9.tgz
 xv-3.10anb14.tgz
 ymessenger-1.0.4.tgz


 I don't know if this is same problem and maybe I should not mention 
 these all here in your ticket but I think it is related: pkg_summary is 
 not accurate.

Responsible-Changed-From-To: pkg-bug-people->pkg-manager
Responsible-Changed-By: reed@NetBSD.org
Responsible-Changed-When: Thu, 25 Mar 2010 16:43:18 +0000
Responsible-Changed-Why:
fix email contact


From: Adam Plumb <adamplumb@gmail.com>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: bin/43060: The gnome-2.26 binary meta-pkg exists but is not 
	included in pkg_summary.bz2
Date: Thu, 25 Mar 2010 20:18:19 -0400

 How does the pkg_summary file get created?  Where is the script that
 is used to generate this file?

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.